import niki.Welt;
import niki.Niki;

public class FabrikProgramm3{

// Niki sucht einen Hammer in einer Reihe; dabei umgeht er einfache Maschinen.
// Den gefundenen Hammer nimmt er auf und geht nach Hause.

    public static void main(String[] args){
        Welt meineWelt = new Welt("Fabrik3.welt");
        Niki meinRoboter = new Niki(meineWelt);
        meinRoboter.gib();
        do {

	    if (meinRoboter.vorneFrei()) {
		 meinRoboter.vor();
	    } else {
		meinRoboter.links();
		meinRoboter.links();
		meinRoboter.links();
		meinRoboter.vor();
		meinRoboter.links();
		meinRoboter.vor();
		meinRoboter.vor();
		meinRoboter.links();
		meinRoboter.vor();
		meinRoboter.links();
		meinRoboter.links();
		meinRoboter.links();
 	    }

        } while (meinRoboter.feldLeer());

	// Umdrehen und ab nach Hause
	meinRoboter.nimm();
	meinRoboter.links();
	meinRoboter.links();
	while (meinRoboter.feldLeer()) {
		if (meinRoboter.vorneFrei()){
			meinRoboter.vor();
		}else{
			meinRoboter.links();

			meinRoboter.vor();
			meinRoboter.links();
			meinRoboter.links();
			meinRoboter.links();	
			meinRoboter.vor();
			meinRoboter.vor();
			meinRoboter.links();
			meinRoboter.links();
			meinRoboter.links();	
			meinRoboter.vor();
			meinRoboter.links();
	
		}
	}


    }
}

